org.eclipse.incquery.runtime.localsearch.matcher

## Class LocalSearchMatcher

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.matcher.LocalSearchMatcher

-     public class LocalSearchMatcher
      extends java.lang.Object

  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchMatcher(PQuery query, java.util.Collection<SearchPlanExecutor> plan, int keySize, int frameSize)`
    `LocalSearchMatcher(PQuery query, SearchPlanExecutor[] plan, int keySize, int frameSize)`
    `LocalSearchMatcher(PQuery query, SearchPlanExecutor plan, int keySize, int frameSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdapter(ILocalSearchAdapter adapter)`
    `int` | `countMatches()`
    `int` | `countMatches(MatchingFrame initialFrame)`
    `MatchingFrame` | `editableMatchingFrame()`
    `java.util.List<ILocalSearchAdapter>` | `getAdapters()`
    `java.util.Collection<MatchingFrame>` | `getAllMatches()`
    `java.util.Collection<MatchingFrame>` | `getAllMatches(MatchingFrame initialFrame)`
    `int` | `getFrameSize()`
    `int` | `getKeySize()`
    `MatchingFrame` | `getOneArbitraryMatch()`
    `MatchingFrame` | `getOneArbitraryMatch(MatchingFrame initialFrame)`
    `com.google.common.collect.ImmutableList<SearchPlanExecutor>` | `getPlan()`
    `PQuery` | `getQuerySpecification()` Returns the query specification this matcher used as source for the implementation
    `boolean` | `hasMatch()`
    `boolean` | `hasMatch(MatchingFrame initialFrame)`
    `void` | `removeAdapter(ILocalSearchAdapter adapter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchMatcher

          public LocalSearchMatcher(PQuery query,
                                    SearchPlanExecutor plan,
                                    int keySize,
                                    int frameSize)

    - #### LocalSearchMatcher

          public LocalSearchMatcher(PQuery query,
                                    SearchPlanExecutor[] plan,
                                    int keySize,
                                    int frameSize)

    - #### LocalSearchMatcher

          public LocalSearchMatcher(PQuery query,
                                    java.util.Collection<SearchPlanExecutor> plan,
                                    int keySize,
                                    int frameSize)

  - ### Method Detail

    - #### getPlan

          public com.google.common.collect.ImmutableList<SearchPlanExecutor> getPlan()

    - #### getFrameSize

          public int getFrameSize()

    - #### getKeySize

          public int getKeySize()

    - #### getAdapters

          public java.util.List<ILocalSearchAdapter> getAdapters()

    - #### addAdapter

          public void addAdapter(ILocalSearchAdapter adapter)

    - #### removeAdapter

          public void removeAdapter(ILocalSearchAdapter adapter)

    - #### editableMatchingFrame

          public MatchingFrame editableMatchingFrame()

    - #### hasMatch

          public boolean hasMatch()
                           throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### hasMatch

          public boolean hasMatch(MatchingFrame initialFrame)
                           throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### countMatches

          public int countMatches()
                           throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### countMatches

          public int countMatches(MatchingFrame initialFrame)
                           throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getOneArbitraryMatch

          public MatchingFrame getOneArbitraryMatch()
                                             throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getOneArbitraryMatch

          public MatchingFrame getOneArbitraryMatch(MatchingFrame initialFrame)
                                             throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getAllMatches

          public java.util.Collection<MatchingFrame> getAllMatches()
                                                            throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getAllMatches

          public java.util.Collection<MatchingFrame> getAllMatches(MatchingFrame initialFrame)
                                                            throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getQuerySpecification

          public PQuery getQuerySpecification()

      Returns the query specification this matcher used as source for the implementation
      Returns:
        never null